#!/bin/sh

binDir=`dirname $0`
. $binDir/setupCmdLine.sh 

CLASSPATH=.:$WAS_HOME/lib/cmpopt1026b.jar
CLASSPATH=$CLASSPATH:$WAS_HOME/lib/cmplib.jar
CLASSPATH=$CLASSPATH:$WAS_HOME/lib/mofj2ee.jar
CLASSPATH=$CLASSPATH:$WAS_HOME/lib/aat.jar
CLASSPATH=$CLASSPATH:$WAS_HOME/lib/mof.jar
CLASSPATH=$CLASSPATH:$WAS_HOME/lib/mofjava.jar
CLASSPATH=$CLASSPATH:$WAS_HOME/lib/ws-base-extensions.jar
CLASSPATH=$CLASSPATH:$WAS_HOME/lib/ras.jar

export CLASSPATH

# Function to actually invoke the deploytool on a file.
run()
{
  $JAVA_HOME/bin/java -classpath $CLASSPATH \
    -DOS=unix -Xms384m -Xmx384m CmpOptimal $WAS_HOME/lib $JAVA_HOME/jre/lib $*
}
 
#function to display the syntax of the command
syntax()
{
    echo "cmpopt.sh filename [-report|-noreport]"
    echo "                   [-update|-noupdate]"
    echo "                   [-findForUpdate|-noFindForUpdate] "
    echo "                   -ignoreOpenFields"
    echo "                   -ignoreNativeMethods"
    echo "                   -noWarn"

    exit 0
}

# Provide user help if no arguments...
if [ "$1" = "" ] ; then 
   syntax
fi

run $*
